package com.ym.mec.auth.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.auth.api.entity.SysRole;
import com.ym.mec.auth.dal.dao.SysRoleDao;
import com.ym.mec.auth.service.SysRoleService;
import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;

@Service
public class SysRoleServiceImpl extends BaseServiceImpl<Integer, SysRole>  implements SysRoleService {
	
	@Autowired
	private SysRoleDao sysRoleDao;

	@Override
	public BaseDAO<Integer, SysRole> getDAO() {
		return sysRoleDao;
	}

	@Override
	public List<SysRole> findRoleByUserId(Integer userId) {
		return sysRoleDao.findRoleByUserId(userId);
	}

	@Override
	public SysRole findRoleByCode(String code){
		return sysRoleDao.findRoleByCode(code);
	}

}