package com.ym.mec.web.controller.system;

import com.ym.mec.common.controller.BaseController;
import com.ym.mec.web.dal.dto.VipGroupApplyDto;
import com.ym.mec.web.service.VipGroupService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author Joburgess
 * @Date 2019/9/21
 */
@Api("vip课")
@RequestMapping("vipGroupManage")
@RestController
public class VipGroupManageController extends BaseController {

    @Autowired
    private VipGroupService vipGroupService;

    @ApiOperation("vip课申请")
    @PostMapping("/vipGroupApply")
    public Object vipGroupApply(@RequestBody VipGroupApplyDto vipGroupApplyDto){
        String s=vipGroupService.createVipGroup(vipGroupApplyDto);
        if(s.isEmpty()){
            return succeed();
        }else{
            return failed(s);
        }
    }
}
