package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.SubjectGoodsMapperDao;
import com.ym.mec.web.dal.entity.SubjectGoodsMapper;
import com.ym.mec.web.service.SubjectGoodsMapperService;

@Service
public class SubjectGoodsMapperServiceImpl extends BaseServiceImpl<Long, SubjectGoodsMapper>  implements SubjectGoodsMapperService {
	
	@Autowired
	private SubjectGoodsMapperDao subjectPlanGoodsMapperDao;

	@Override
	public BaseDAO<Long, SubjectGoodsMapper> getDAO() {
		return subjectPlanGoodsMapperDao;
	}
	
}